Bug 252690

Summary: Making math/dune-common depend on onetbb
Product: Ports & Packages Reporter: Ganael LAPLANCHE <martymac>
Component: Individual Port(s)Assignee: Yuri Victorovich <yuri>
Status: Closed FIXED    
Severity: Affects Some People CC: yuri
Priority: --- Flags: bugzilla: maintainer-feedback? (yuri)
martymac: maintainer-feedback? (yuri)
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://gitlab.dune-project.org/core/dune-common/-/issues/231
Bug Depends on:    
Bug Blocks: 252648    
Attachments:
Description Flags
patch none

Description Ganael LAPLANCHE freebsd_committer 2021-01-14 22:00:59 UTC
Hello,

As a maintainer of math/dune-common, could you have a look at PR #252648:

  https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=252648

In short, TBB version 2021 will soon be available as devel/onetbb but the port you maintain does not build correctly with it, see the following Poudriere run:

  http://box.martymac.org/FreeBSD-Packages/build.html?mastername=FBSD122amd64-tbb-migr&build=2021-01-13_22h35m17s

and error logs:

http://box.martymac.org/FreeBSD-Packages/data/FBSD122amd64-tbb-migr/2021-01-13_22h35m17s/logs/dune-common-2.7.0_4.log

-- Could NOT find TBB (missing: TBB_INCLUDE_DIRS TBB_COMPILE_TEST)

That error does not seem to prevent the port from building but tbb support may not be functional.

Could you try to provide a patch (important: *by replying to this PR*) to facilitate the migration to devel/onetbb ?

To help you modifying your port, expected patches to devel/tbb and devel/onetbb are available in PR #252648.

Thanks for your contribution,
Best regards,

Ganael.
Comment 1 Yuri Victorovich freebsd_committer 2021-01-16 21:10:46 UTC
math/dune-common now builds with oneTBB.
Comment 2 Ganael LAPLANCHE freebsd_committer 2021-01-17 07:47:21 UTC
Thanks Yuri!
Comment 3 Ganael LAPLANCHE freebsd_committer 2021-01-18 11:43:05 UTC
Hello,

Unfortunately, new math-dune* ports build but still fail to properly detect tbb, see:

http://box.martymac.org/FreeBSD-Packages/build.html?mastername=FBSD122amd64-tbb-migr&build=2021-01-17_09h08m36s

E.g.:

http://box.martymac.org/FreeBSD-Packages/data/FBSD122amd64-tbb-migr/2021-01-17_09h08m36s/logs/dune-common-2.7.1_1.log

-- Library dir: TBB_LIBRARY_DIR-NOTFOUND
-- Performing Test TBB_COMPILE_TEST
-- Performing Test TBB_COMPILE_TEST - Failed
-- Could NOT find TBB (missing: TBB_INCLUDE_DIRS TBB_COMPILE_TEST)

Weird, because they are linked to tbb and tbbmalloc anyway.

Can you have a look at that ?

Thanks in advance,
Best regards,

Ganael.
Comment 4 Yuri Victorovich freebsd_committer 2021-01-18 21:20:59 UTC
Created attachment 221718 [details]
patch

It finds TBB with the attached patch.
Comment 5 Yuri Victorovich freebsd_committer 2021-01-18 22:00:59 UTC
(In reply to Yuri Victorovich from comment #4)

The same line should be added to all dune-* ports for them to discover oneTBB.
Comment 6 Ganael LAPLANCHE freebsd_committer 2021-01-19 06:46:37 UTC
OK, I'll add that during the switch.

Thanks!
Comment 7 commit-hook freebsd_committer 2021-02-19 15:15:05 UTC
A commit references this bug:

Author: martymac
Date: Fri Feb 19 15:14:55 UTC 2021
New revision: 566074
URL: https://svnweb.freebsd.org/changeset/ports/566074

Log:
  Introduce devel/onetbb and mark devel/tbb as legacy

  Intel oneAPI tbb 2021.1 (onetbb) has been released[1][2] and has deprecated
  several interfaces over tbb 2020, breaking most dependent ports.

  Old tbb 2020 will be kept for a certain time to allow transition but will be
  removed in a near future as it CONFLICTS with devel/onetbb. New ports should
  now use devel/onetbb instead of devel/tbb.

  We tried to move a maximum number of dependent ports to devel/onetbb (or
  disable dependency when not possible), but some of them still remain stuck
  to devel/tbb. Remaining ones have not been identified as major dependencies
  themselves and will be fixed as soon as updates are available from upstream.

  PR:		252648, 252688 [3], 252683 [4], 252651 [5], 252690 [3], 252693 [3],
  	252695 [3], 252696 [3], 252786 [3], 252649, 252868 [6], 252870 [5],
  	252684 [7], 252785 [7]
  Approved by:	yuri [3], jwb [4], thierry [5], FreeBSD@Shaneware.biz [6],
  	maintainer timeout [7]

  [1] https://software.intel.com/content/www/us/en/develop/articles/intel-oneapi-threading-building-blocks-release-notes.html
  [2] https://software.intel.com/content/www/us/en/develop/articles/tbb-revamp.html

Changes:
  head/archivers/par2cmdline-tbb/Makefile
  head/biology/bowtie2/Makefile
  head/cad/opencascade/Makefile
  head/devel/Makefile
  head/devel/onetbb/
  head/devel/onetbb/Makefile
  head/devel/onetbb/distinfo
  head/devel/onetbb/files/
  head/devel/onetbb/files/onetbb.pc.in
  head/devel/onetbb/files/patch-src-tbbbind-CMakeLists.txt
  head/devel/onetbb/files/patch-test-common-memory_usage.h
  head/devel/onetbb/files/patch-test-tbbmalloc-test_malloc_compliance.cpp
  head/devel/onetbb/pkg-descr
  head/devel/onetbb/pkg-plist
  head/devel/tbb/Makefile
  head/devel/tbb/pkg-descr
  head/graphics/blender/Makefile
  head/graphics/blender/Makefile.options
  head/graphics/blender/files/patch-intern_cycles_device_device__cpu.cpp
  head/graphics/blender/files/patch-intern_cycles_util_util__task.cpp
  head/graphics/blender/files/patch-intern_cycles_util_util__task.h
  head/graphics/blender/files/patch-intern_cycles_util_util__tbb.h
  head/graphics/blender/files/patch-source_blender_blenlib_BLI__index__range.hh
  head/graphics/blender/files/patch-source_blender_blenlib_BLI__task.h
  head/graphics/blender/files/patch-source_blender_blenlib_intern_task__pool.cc
  head/graphics/embree/Makefile
  head/graphics/oidn/Makefile
  head/graphics/opencv/Makefile
  head/graphics/openimageio/Makefile
  head/math/dune-common/Makefile
  head/math/dune-geometry/Makefile
  head/math/dune-grid/Makefile
  head/math/dune-pdelab/Makefile
  head/math/dune-uggrid/Makefile
  head/math/openturns/Makefile
  head/math/saga/Makefile
  head/math/suitesparse/Makefile
  head/misc/ngraph/Makefile